<?php

/*
 *  This file is part of SplashSync Project.
 *
 *  Copyright (C) 2015-2019 Splash Sync  <www.splashsync.com>
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 *  For the full copyright and license information, please view the LICENSE
 *  file that was distributed with this source code.
 */

function copyr($source, $dest)
{
    //====================================================================//
    // Simple copy for a file
    if (is_file($source)) {
        return copy($source, $dest);
    }

    //====================================================================//
    // Make destination directory
    if (!is_dir($dest)) {
        mkdir($dest);
    }

    //====================================================================//
    // Loop through the folder
    $dir = dir($source);
    while (false !== $entry = $dir->read()) {
        // Skip pointers
        if ('.' == $entry || '..' == $entry) {
            continue;
        }

        // Skip Hidden Files
        if ('.' == $entry[0]) {
            continue;
        }

        // Deep copy directories
        if ($dest !== "${source}/${entry}") {
            copyr("${source}/${entry}", "${dest}/${entry}");
        }
    }

    //====================================================================//
    // Clean up
    $dir->close();

    return true;
}

//====================================================================//
// Project Export - Splash Module For Wordpress
//copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-4.6/wp-content/plugins/splash-connector/");
//copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-4.7/wp-content/plugins/splash-connector/");
//copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-4.8/wp-content/plugins/splash-connector/");
copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-4.9/wp-content/plugins/splash-connector/");
copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-5.2/wp-content/plugins/splash-connector/");

copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-Test/src/wp-content/plugins/splash-connector/");
copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/", "/var/www/Wordpress/Wp-Test/build/wp-content/plugins/splash-connector/");
copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/.git/", "/var/www/Wordpress/Wp-Test/src/wp-content/plugins/splash-connector/.git");

//copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/","/home/nanard33/WebDesign/GitLab/Releases/Wordpress/svn/trunk/");
//copyr("/home/nanard33/WebDesign/GitHub/SplashSync-Php-Wordpress/","/var/www/Wordpress/Wp-Test/src/wp-content/plugins/splash-connector/");
